VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form Form1 
   Caption         =   "Cattura & salva"
   ClientHeight    =   4845
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   5925
   LinkTopic       =   "Form1"
   ScaleHeight     =   4845
   ScaleWidth      =   5925
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame1 
      Caption         =   "Cattura"
      Height          =   2775
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   1695
      Begin VB.CommandButton Command1 
         Caption         =   "Screen"
         Height          =   495
         Left            =   120
         TabIndex        =   8
         Top             =   360
         Width           =   1410
      End
      Begin VB.CommandButton Command2 
         Caption         =   "Form"
         Height          =   495
         Left            =   120
         TabIndex        =   7
         Top             =   960
         Width           =   1410
      End
      Begin VB.CommandButton Command3 
         Caption         =   "Client"
         Height          =   495
         Left            =   120
         TabIndex        =   6
         Top             =   1560
         Width           =   1410
      End
      Begin VB.CommandButton Command4 
         Caption         =   "Finestra attiva"
         Height          =   495
         Left            =   120
         TabIndex        =   5
         Top             =   2160
         Width           =   1410
      End
   End
   Begin MSComDlg.CommonDialog CD1 
      Left            =   120
      Top             =   5760
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton Command7 
      Caption         =   "Salva su file"
      Height          =   495
      Left            =   240
      TabIndex        =   3
      Top             =   3600
      Width           =   1410
   End
   Begin VB.PictureBox Picture1 
      Height          =   4455
      Left            =   2040
      ScaleHeight     =   4395
      ScaleWidth      =   3555
      TabIndex        =   2
      Top             =   240
      Width           =   3615
   End
   Begin VB.CommandButton Command6 
      Caption         =   "Cancella"
      Height          =   495
      Left            =   240
      TabIndex        =   1
      Top             =   4200
      Width           =   1410
   End
   Begin VB.CommandButton Command5 
      Caption         =   "Stampa"
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   3000
      Width           =   1410
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'==========================================================================
'Esempio di cattura, anche parziale, dello screen o del contenuto delle finestre presenti nello
'screen,  con  possibilit  di stampare  l'immagine catturata oppure di salvarla in un file .bmp.
'-----------------------------------------------------------------------------------------------------------------------------------------
'           L'esempio, tratto da un articolo pubblicato sul "Supporto Tecnico Microsoft"
'                                              (http://support.microsoft.com)
'               stato, in parte, liberamente rielaborato e integrato per fini didattici da:
'                               Claudio GUCCHIERATO cgucchierato@libero.it
'                                            http://www.maurorossi.net/
'                         questo codice  compatibile con: VB4 (32bit) - VB5 e VB6
'                                                    gennaio 2006 - vers. 1.0.0
'===========================================================================

'Questo  esempio di  codice,  scaricato  dal  sito  http://www.maurorossi.net/,   liberamente modificabile
'e utilizzabile senza  alcuna  limitazione. Nel  caso in cui i sorgenti vengano  inseriti all'interno  di  un altro
'progetto,  gradita la citazione degli autori originali del codice e del sito dove  stato eseguito il download.


Option Explicit

      Private Sub Form_Load()
         Picture1.AutoSize = True
      End Sub

      Private Sub Command1_Click() 'Cattura lo schermo intero
         Set Picture1.Picture = CaptureScreen()
      End Sub

      Private Sub Command2_Click() 'Cattura tutto il form (inclusa la barra del titolo e i bordi)
         Set Picture1.Picture = CaptureForm(Me)
      End Sub

      Private Sub Command3_Click() ' Cattura solo la "client area" del form (esclusa la barra del titolo e i bordi)
         Set Picture1.Picture = CaptureClient(Me)
      End Sub

      Private Sub Command4_Click() ' Cattura la finestra attiva
         Dim EndTime As Date
         
         MsgBox "Dopo due secondi da quando verr chiuso questo messaggio" & vbCrLf & _
         "verr catturata la finestra che sar attiva in quel momento", vbInformation, Me.Caption

         ' Avvia il temporizzatore.
         EndTime = DateAdd("s", 2, Now)
         Do Until Now > EndTime 'attende 2 secondi
            DoEvents
         Loop

         Set Picture1.Picture = CaptureActiveWindow()

        ' Ritorna il focus al form
         Me.SetFocus
      End Sub

      Private Sub Command5_Click() ' Stampa l'immagine catturata nel PictureBox
         Dim risp As Integer
         risp = MsgBox("Vuoi stampare l'immagine catturata?", vbQuestion + vbYesNo, Me.Caption)
         If risp = vbNo Then Exit Sub
         PrintPictureToFitPage Printer, Picture1.Picture
         Printer.EndDoc
      End Sub

      Private Sub Command7_Click() 'salva l'immagine catturata in un file .bmp
        
        CD1.FileName = vbNullString
        CD1.DefaultExt = "bmp"
        CD1.Filter = "Bitmap|*.bmp"
        CD1.ShowSave
        
        If CD1.FileName <> vbNullString Then
            SavePicture Picture1.Image, CD1.FileName   ' Salva l'immagine in un file .bmp
        End If
      '====================================================================================
      'N.B:  possibile salvare l'immagine catturata anche in formato jpg
      'consultare, a questo proposito, il tips presente nel seguente link: http://www.maurorossi.net/pagine/tips/tips013.htm
      '====================================================================================
      End Sub

      Private Sub Command6_Click() ' Cancella il contenuto della PictureBox
         Set Picture1.Picture = Nothing
      End Sub


